﻿
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
namespace chartGrid
{
    public partial class GridFeatures : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            List<Orders> chartData = new List<Orders>();
            chartData.Add(new Orders("Overall Population", 100000));
            this.Chart1.DataSource = chartData;
            this.Chart1.DataBind();
            this.Chart1.XName = "Continent";
            this.Chart1.YName = "Population";
            BindDataSource();
        }
        private void BindDataSource()
        {
            order.Add(new Orders("Africa", 16000));
            order.Add(new Orders("Asia", 18000));
            order.Add(new Orders("Europe", 24000));
            order.Add(new Orders("NorthAmerica", 5000));
            order.Add(new Orders("Oceania", 9000));
            order.Add(new Orders("SouthAmerica", 13000));
            this.Grid1.DataSource = order;
            this.Grid1.DataBind();
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {
            }
            public Orders(string continent, double population)
            {
                this.Continent = continent;
                this.Population = population;

            }
            public string Continent { get; set; }
            public double Population { get; set; }

        }

        protected void Grid1_DataBound(object sender, EventArgs e)
        {

        }
    }
}
